import { defineStore } from "pinia";
import { ref } from "vue";
import type { DataOption } from "@/modules/04_registryPerson/interface/index/Main";

export const useRequestEditStore = defineStore("requestEditStore", () => {
  const profileId = ref<string>('')
  const optionTopic = ref<string[]>([
    "ขอแก้ไขคำนำหน้านาม ชื่อ นามสกุล",
    "ขอแก้ไขรูปภาพประจำตัว",
    "ขอแก้ไขชื่อ - นามสกุล คู่สมรส",
    "ขอแก้ไขชื่อ - นามสกุล บิดา",
    "ขอแก้ไขชื่อ - นามสกุล มารดา",
    "ขอแก้ไขข้อมูลการได้รับพระราชทานเครื่องราชอิสริยาภรณ์/เหรียญจักรพรรดิมาลา",
    "ขอแก้ไขประกาศเกียรติคุณ",
    "ขอแก้ไขข้อมูลประวัติการศึกษา",
  ]);
  const optionStatus = ref<DataOption[]>([
    { id: "", name: "ทั้งหมด" },
    { id: "PENDING", name: "รอดำเนินการ" },
    { id: "COMPLETE", name: "ดำเนินการแก้ไขแล้ว" },
    { id: "REJECT", name: "ไม่อนุมัติการแก้ไข" },
  ]);

  const optionStatusIDP = ref<DataOption[]>([
    { id: "", name: "ทั้งหมด" },
    { id: "PENDING", name: "รอดำเนินการ" },
    { id: "APPROVE", name: "อนุมัติ" },
    { id: "REJECT", name: "ไม่อนุมัติ" },
  ]);

  function convertStatus(val: string) {
    switch (val) {
      case "PENDING":
        return "รอดำเนินการ";
      case "COMPLETE":
        return "ดำเนินการแก้ไขแล้ว";
      case "REJECT":
        return "ไม่อนุมัติการแก้ไข";
      default:
        return "-";
    }
  }

  function convertStatusIDP(val: string) {
    switch (val) {
      case "PENDING":
        return "รอดำเนินการ";
      case "APPROVE":
        return "อนุมัติ";
      case "REJECT":
        return "ไม่อนุมัติ";
      default:
        return "-";
    }
  }
  return {
    convertStatus,
    optionTopic,
    optionStatus,
    optionStatusIDP,
    convertStatusIDP,
    profileId
  };
});
